<!DOCTYPE html>
<html>
    <head>
        <!-- Global site tag (gtag.js) - Google Analytics -->
        <script async="true" src="https://www.googletagmanager.com/gtag/js?id=UA-166753203-1"></script>
        <script>
            window.dataLayer = window.dataLayer || [];
            function gtag(){dataLayer.push(arguments);}
            gtag('js', new Date());

            gtag('config', 'UA-166753203-1');
        </script>
        <meta charset="utf-8"></meta>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"></meta>
        <title>VoxPeople : <udho:text value="label" /></title>
        <script type="application/ld+json">{
            "@context": "http://schema.org",
            "@type": "Map",
            "name": '<udho:text value="name" />',
            "description": '<udho:text value="label" />',
            "author": {
                "@type": "Person",
                "name": "Sunanda Bose"
            },
            "url": "https://voxpeople.org"
        }</script>
        <meta name="description"        udho:target:content="label"/>
        <meta property="og:type"        content="website"/>
        <meta property="og:title"       udho:target:content="label"/>
        <meta property="og:description" udho:target:content="label"/>
        <meta property="og:url"         content="https://voxpeople.org"/>
        <style>
            html, body{
                position: relative;
                height: 100%;
            }
            body .main{
                height: 100%;
            }
            [v-cloak] * { display:none }
            [v-cloak]::before { content: "loading…" }
        </style>
    </head>
    <body class="bg-gray-300">
        <div class="main flex flex-col" id="main">
            <div class="relative">
                <wee-nav>
                    <wee-nav-item href="/projects">Projects</wee-nav-item>
                    <wee-nav-item href="/chat">Chat</wee-nav-item>
                    <template slot="actions">
                        <wee-nav-item udho:if="loggedin"><a udho:target:href="/user/profile/`uid`"><udho:text value="uname" /></a></wee-nav-item>
                        <wee-nav-item udho:if="loggedin" href="/admin/projects">Admin</wee-nav-item>
                        <wee-nav-item udho:if="not(loggedin)" href="/user/login" action="true">Login</wee-nav-item>
                        <wee-nav-item udho:if="loggedin" href="/user/logout" action="true">Logout</wee-nav-item>
                    </template>
                </wee-nav>
            </div>
            <div class="relative container mx-auto bg-gray-200 h-full">
                <udho:for in="projects" value="project">
                    <div class="float-left h-auto flex flex-col w-full md:w-1/2 lg:w-1/3 p-2">
                        <div class="w-full border-l-4 border-t-4 border-r-4" udho:add-class="project.properties.border">
                            <div class="relative view">
                                <wee-spatial-static-map udho:target::lat="project.properties.lat" udho:target::lng="project.properties.lng" :zoom="13" :width="700" :height="300"></wee-spatial-static-map>
                                <div class="absolute left-0 top-0 w-full h-full text-white flex flex-col items-center">
                                    <div class="center flex flex-col items-center m-auto bg-gray-700 bg-opacity-75 py-2 px-4 rounded-full">
                                        <div class="name text-white text-center capitalize mb-1 text-lg">
                                            <a udho:target:href="project.link"><udho:text value="project.name" /></a>
                                        </div>
                                        <div class="stats flex flex-row">
                                            <div class="mr-2 flex flex-row border border-indigo-400 rounded-full items-center text-xs bg-white">
                                                <span class="bg-indigo-600 text-indigo-200 rounded-l-full mr-1 px-2 pointer">Reports</span>
                                                <span class="text-indigo-600 rounded-r-full pl-1 pr-2 bg-white"><udho:text value="project.nreports" /></span>
                                            </div>
                                            <div class="ml-2 flex flex-row border border-teal-400 rounded-full items-center text-xs bg-white">
                                                <span class="bg-teal-600 text-teal-200 rounded-l-full mr-1 px-2 pointer">Places</span>
                                                <span class="text-teal-600 rounded-r-full pl-1 pr-2 bg-white"><udho:text value="project.nplaces" /></span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="headline bg-gray-700 p-2 text-sm text-gray-200" udho:add-class="project.properties.background">
                                <div class="label">
                                    <a udho:target:href="project.link"><udho:text value="project.label" /></a>
                                </div>
                            </div>
                        </div>
                    </div>
                </udho:for>
            </div>
        </div>
        <script src="/dist/plist.js"></script>
    </body>
</html>
